<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.16" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="6.0.16" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.13" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\Admin\Data\" />
    <Folder Include="Controllers\" />
    <Folder Include="Data\" />
    <Folder Include="Models\" />
    <Folder Include="wwwroot\css\" />
    <Folder Include="wwwroot\images\" />
    <Folder Include="wwwroot\js\" />
    <Folder Include="wwwroot\lib\bootstrap\" />
    <Folder Include="wwwroot\lib\bootstrap\dist\js\" />
    <Folder Include="wwwroot\lib\jquery-validation-unobtrusive\" />
    <Folder Include="wwwroot\lib\jquery-validation\" />
    <Folder Include="wwwroot\lib\jquery-validation\dist\" />
    <Folder Include="wwwroot\lib\jquery\" />
    <Folder Include="wwwroot\lib\jquery\dist\" />
  </ItemGroup>

</Project>
